SenseCrypt Docs
API ReferenceScim

List/search groups (SCIM 2.0)

GET/v1/idp/scim/v2/Groups

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

filter?string|null
startIndex?Startindex
Range1 <= value
Default1
count?Count
Range0 <= value
Default100
sortBy?string|null
sortOrder?string|null
attributes?string|null
excludedAttributes?string|null

Response Body

application/json

curl -X GET "https://example.com/v1/idp/scim/v2/Groups"
{  "schemas": [    "urn:ietf:params:scim:api:messages:2.0:ListResponse"  ],  "totalResults": 1,  "startIndex": 1,  "itemsPerPage": 1,  "Resources": [    {      "schemas": [        "urn:ietf:params:scim:schemas:core:2.0:Group"      ],      "id": "e9e30dba-f08f-4109-8486-d5c6a331660a",      "displayName": "Engineering",      "externalId": "grp-eng-01",      "members": [        {          "value": "2819c223-7f76-453a-919d-413861904646",          "$ref (member)": "https://acme.example.com/v1/idp/scim/v2/Users/2819c223-7f76-453a-919d-413861904646"        }      ],      "meta": {        "resourceType": "Group",        "location": "https://acme.example.com/v1/idp/scim/v2/Groups/e9e30dba-f08f-4109-8486-d5c6a331660a"      }    }  ]}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}